commit 59c87f9e87ef0829497bbffd5d9c0c7a6869ece5
Author: freddy77 <freddy77>
Date:   Thu Jul 23 18:22:00 2009 +0000

    support setting charset in freebcp

diff --git a/ChangeLog b/ChangeLog
index 6879dc9..d4df9b5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Jul 23 20:21:50 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/freebcp.c src/apps/freebcp.h:
+	- support setting charset in freebcp
+
 Tue Jul 21 08:43:36 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/unittests/rpc_ct_param.c: add empty column
 
@@ -1701,4 +1705,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2834 2009/07/21 06:44:19 freddy77 Exp $
+$Id: ChangeLog,v 1.2835 2009/07/23 18:22:00 freddy77 Exp $
diff --git a/src/apps/freebcp.c b/src/apps/freebcp.c
index 60e03c7..2c75a19 100644
--- a/src/apps/freebcp.c
+++ b/src/apps/freebcp.c
@@ -46,7 +46,7 @@
 #include <sybdb.h>
 #include "freebcp.h"
 
-static char software_version[] = "$Id: freebcp.c,v 1.50 2008/12/11 12:31:31 freddy77 Exp $";
+static char software_version[] = "$Id: freebcp.c,v 1.51 2009/07/23 18:22:00 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 void pusage(void);
@@ -192,7 +192,7 @@ process_parameters(int argc, char **argv, BCPPARAMDATA *pdata)
 	 * Get the rest of the arguments 
 	 */
 	optind = 4; /* start processing options after table, direction, & filename */
-	while ((ch = getopt(argc, argv, "m:f:e:F:L:b:t:r:U:P:I:S:h:T:A:O:0:ncEdvV")) != -1) {
+	while ((ch = getopt(argc, argv, "m:f:e:F:L:b:t:r:U:P:I:S:h:T:A:O:0:C:ncEdvV")) != -1) {
 		switch (ch) {
 		case 'v':
 		case 'V':
@@ -287,6 +287,9 @@ process_parameters(int argc, char **argv, BCPPARAMDATA *pdata)
 			pdata->Aflag++;
 			pdata->packetsize = atoi(optarg);
 			break;
+		case 'C':
+			pdata->charset = strdup(optarg);
+			break;
 		case '?':
 		default:
 			pusage();
@@ -361,6 +364,8 @@ login_to_database(BCPPARAMDATA * pdata, DBPROCESS ** pdbproc)
 	DBSETLUSER(login, pdata->user);
 	DBSETLPWD(login, pdata->pass);
 	DBSETLAPP(login, "FreeBCP");
+	if (pdata->charset)
+		DBSETLCHARSET(login, pdata->charset);
 
 	/* if packet size specified, set in login record */
 
@@ -373,7 +378,7 @@ login_to_database(BCPPARAMDATA * pdata, DBPROCESS ** pdbproc)
 	BCP_SETL(login, TRUE);
 
 	/*
-	 * ** Get a connection to the database.
+	 * Get a connection to the database.
 	 */
 
 	if ((*pdbproc = dbopen(login, pdata->server)) == NULL) {
diff --git a/src/apps/freebcp.h b/src/apps/freebcp.h
index 8d77f86..53d1e26 100644
--- a/src/apps/freebcp.h
+++ b/src/apps/freebcp.h
@@ -1,4 +1,4 @@
-static char rcsid_freebcp_h[] = "$Id: freebcp.h,v 1.13 2008/12/11 12:31:31 freddy77 Exp $";
+static char rcsid_freebcp_h[] = "$Id: freebcp.h,v 1.14 2009/07/23 18:22:00 freddy77 Exp $";
 static void *no_unused_freebcp_h_warn[] = { rcsid_freebcp_h, no_unused_freebcp_h_warn };
 
 enum states
@@ -51,6 +51,7 @@ typedef struct pd
 	char *server;
 	char *hint;
 	char *options;
+	char *charset;
 	int packetsize;
 	int mflag;
 	int fflag;

